GRUB-MKSTANDALONE(1)

NAMN
grub-mkstandalone — gör en memdisk-baserad GRUB-avbild

SYNOPSIS
grub-mkstandalone [FLAGGA...] [FLAGGA] KÄLLA...

BESKRIVNING
Generera en fristående avbild (innehållandes alla moduler) i det valda formatet

--compress=no|xz|gz|lzo
    komprimera GRUB-filer [valfritt]

--disable-shim-lock
    inaktivera shim_lock verifier

--dtb=FIL
    bädda in en specifik DTB

-d, --directory=KAT
    använd avbilder och moduler under KAT [standard=/usr/lib/grub/<platform>]

--fonts=TYPSNITT
    installera TYPSNITT [standard=unicode]

--install-modules=MODULER
    installera endast MODULER och deras beroenden [standard=all]

-k, --pubkey=FIL
    bädda in FIL som öppen nyckel för signaturkontroll

--locale-directory=DIR använd översättningar i KAT
    [standard=/usr/share/locale]

--locales=SPRÅK
    installera endast SPRÅK [standard=all]

--modules=MODULER
    förinläs specificerade moduler MODULER

--sbat=FIL
    SBAT-metadata

--themes=TEMAN
    installera TEMAN [standard=starfield]

-v, --verbose
    skriv ut informativa meddelanden.

--core-compress=xz|none|auto
    välj komprimering att använda för kärnavbild

-o, --output=FIL
    spara utmatning i FIL [krävs]

-O, --format=FIL
    Generera en avbildning i FORMAT; tillgängliga format: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-?, --help
    visa denna hjälplista

--usage
    ge ett kort användningsmeddelande

-V, --version
    skriv ut programversion

Obligatoriska eller valfria argument till långa flaggor är också obligatoriska eller valfria för motsvarande korta flaggor.

Grafpunktssyntax (exempelvis /boot/grub/grub.cfg=./grub.cfg) accepteras

RAPPORTERA FEL
Rapportera fel till <bug-grub@gnu.org>. Skicka synpunkter på översättningen till >tp-sv@listor.tp-sv.se<.

SE ÄVEN
grub-mkimage(1)

Den fullständiga dokumentationen för grub-mkstandalone underhålls som en Texinfo-manual. Om programmen info och grub-mkstandalone är ordentligt installerade på ditt system, bör kommandot

    info grub-mkstandalone

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.